---
updatedAt: 2026-03-25T11:19:21.000Z
---

# Oauth Authorization Server

Gets Oauth Authorization Server details.

# OpenAPI definition

```json
{
  "openapi": "3.0.4",
  "info": {
    "title": "OpenBanking Services - Payments",
    "description": "APIs for initiating payment and getting its details and status.\n\nAbbreviations used in the documentation:\n  * TPP - Third Party Providers\n  * PIS - Payment Initiation Service\n  * ASPSP - Account Servicing Payment Service Provider \n  * PSU - Payment Service User\n  * SCA - Strong Customer Authentication\n  * PISP - Payment Initiation Service Provider\n\nIn order to make test integration, please use  https://test-openbanking.tbcbank.ge/0.8\n",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://test-openbanking.tbcbank.ge/0.8"
    },
    {
      "url": "https://openbanking.tbcbank.ge/0.8"
    }
  ],
  "paths": {
    "/openbanking/oauth/.well-known/oauth-authorization-server": {
      "get": {
        "summary": "Oauth Authorization Server",
        "description": "Gets Oauth Authorization Server details.",
        "tags": [
          "OAuth"
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/OAuthAuthorizationServerResponse"
                },
                "examples": {
                  "OAuthAuthorizationServer Response Example": {
                    "$ref": "#/components/examples/OAuthAuthorizationServerResponse_Example"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Server Error",
            "headers": {
              "X-Request-ID": {
                "$ref": "#/components/headers/X-Request-ID"
              }
            },
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiProblemDetails"
                },
                "example": {
                  "code": "",
                  "traceId": "00-ada2ec0e2c26c91bf50469bf79fdb14e-7bed7bf0dd005c16-01",
                  "type": "https://developers.tbcbank.ge/docs/error-type-500",
                  "title": "Internal Error",
                  "status": 500,
                  "detail": "Something wrong happened in the application"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "ApiProblemDetails": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          },
          "code": {
            "type": "string",
            "nullable": true
          },
          "traceId": {
            "type": "string",
            "nullable": true
          },
          "errors": {
            "type": "object",
            "additionalProperties": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "nullable": true
            },
            "nullable": true
          }
        },
        "additionalProperties": {}
      },
      "OAuthAuthorizationServerResponse": {
        "type": "object",
        "description": "The authorization server authenticates requests sent to the resource server.",
        "properties": {
          "issuer": {
            "type": "string",
            "description": "the URL the Authorization Server asserts as its Issuer Identifier.",
            "example": "https://test-api.tbcbank.ge/.well-known"
          },
          "authorization_endpoint": {
            "type": "string",
            "description": "the URL of the OAuth 2.0 Authorization Endpoint.",
            "example": "https://test-api.tbcbank.ge/psd2/openbanking/oauth/authorize"
          },
          "token_endpoint": {
            "type": "string",
            "description": "the URL of the OAuth 2.0 Token Endpoint.",
            "example": "https://test-openbanking.tbcbank.ge/openbanking/oauth/token"
          },
          "token_endpoint_auth_methods_supported": {
            "enum": [
              "tls_client_auth"
            ],
            "description": "the client authentication methods supported by the OAuth 2.0 Token Endpoint.",
            "example": "tls_client_auth"
          },
          "tls_client_certificate_bound_access_tokens": {
            "type": "boolean",
            "description": "Boolean value indicating server support for mutual-TLS client certificate-bound access tokens. If omitted, the default value is false.",
            "example": false
          },
          "registration_endpoint": {
            "type": "string",
            "description": "the URL of the OAuth 2.0 Dynamic Client Registration Endpoint.",
            "example": "https://test-openbanking.tbcbank.ge/openbanking/oauth/register"
          },
          "scopes_supported": {
            "description": "the OAuth 2.0 scope values supported.",
            "enum": [
              "openid",
              "AIS:<consentId>",
              "PIS:<paymentId>"
            ],
            "example": "PIS:74822a8c-0c97-48a8-9d34-54f7a523e7f8"
          },
          "response_types_supported": {
            "enum": [
              "code"
            ],
            "description": "the OAuth 2.0 response_type values supported.",
            "example": "code"
          },
          "grant_types_supported": {
            "enum": [
              "authorization_code",
              "refresh_token"
            ],
            "description": "the OAuth 2.0 grant_type values supported.",
            "example": "authorization_code"
          },
          "revocation_endpoint_auth_methods_supported": {
            "enum": [
              "tls_client_auth"
            ],
            "description": "the client authentication methods supported by the OAuth 2.0 Token Revocation Endpoint"
          },
          "revocation_endpoint": {
            "type": "string",
            "description": "the URL of the OAuth 2.0 Token Revocation Endpoint",
            "example": "https://test-openbanking.tbcbank.ge/openbanking/oauth/token"
          },
          "ui_locales_supported": {
            "enum": [
              "en",
              "ka"
            ],
            "description": "the OAuth 2.0 ui_locales values supported.",
            "example": "ka"
          }
        }
      }
    },
    "headers": {
      "X-Request-ID": {
        "description": "ID of the request, unique to the call, as determined by the initiating party.",
        "required": true,
        "example": "dca140c0-7db3-4cf3-9415-81b5a141f5f3",
        "schema": {
          "type": "string",
          "format": "uuid"
        }
      }
    },
    "examples": {
      "OAuthAuthorizationServerResponse_Example": {
        "description": "Response on get OAuth authorization server details",
        "value": {
          "issuer": "https://test-api.tbcbank.ge/.well-known",
          "authorization_endpoint": "https://test-api.tbcbank.ge/psd2/openbanking/oauth/authorize",
          "token_endpoint": "https://test-openbanking.tbcbank.ge/openbanking/oauth/token",
          "token_endpoint_auth_methods_supported": [
            "tls_client_auth"
          ],
          "tls_client_certificate_bound_access_tokens": true,
          "registration_endpoint": "https://test-openbanking.tbcbank.ge/openbanking/oauth/register",
          "scopes_supported": [
            "openid",
            "AIS:<consentId>",
            "PIS:<paymentId>"
          ],
          "response_types_supported": [
            "code"
          ],
          "grant_types_supported": [
            "authorization_code",
            "refresh_token"
          ],
          "revocation_endpoint_auth_methods_supported": [
            "tls_client_auth"
          ],
          "revocation_endpoint": "https://test-openbanking.tbcbank.ge/openbanking/oauth/token",
          "ui_locales_supported": [
            "en",
            "ka"
          ]
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```